Retrieve a product–category link
Returns a single product–category link by its identifier.
get/product_category/{id}/
Authorizations
AuthorizationstringRequired
Token credential sent in the Authorization header, in the form: Token <your-token>. Requires a staff (admin) account.
Path parameters
idintegerRequired
The unique identifier of the product–category link.
Responses
200
The requested product–category link.
application/json
A product–category link.
pkintegerRead-onlyOptional
The unique identifier of the link.
productintegerOptional
The identifier of the linked product.
categoryintegerOptional
The identifier of the linked category node.
is_mainboolean · nullableOptional
Whether this is the product's main category. Defaults to null (unset).
401
Authentication credentials were not provided or are invalid.
application/json
403
The authenticated user does not have administrator privileges.
application/json
404
The requested product–category link does not exist.
application/json
get/product_category/{id}/
GET /api/v1/remote/1/product_category/{id}/ HTTP/1.1
Host: sandbox.akinon.com
Authorization: YOUR_API_KEY
Accept: */*
{
"pk": 42,
"product": 100,
"category": 5,
"is_main": true
}Last updated
Was this helpful?

